For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all product categories
      • POSTCreate a product category
      • PUTUpdate or create a product category (upsert)
      • GETGet a product category
      • DELDelete a product category
      • PATCHUpdate a product category
      • POSTSearch product categories.
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIProduct Categories

Update or create a product category (upsert)

PUT
/v:version/product-categories
PUT
/v:version/product-categories
$curl -X PUT https://test.api.solvimon.com/v1/product-categories \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "ExpenseIt products",
> "reference": "reference"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "name": "string",
5 "reference": "string",
6 "description": "string",
7 "tax_category": "STANDARD",
8 "display_order": 1,
9 "customer_id": "string"
10}

Requires the PRODUCT_CATEGORY.CREATE or PRODUCT_CATEGORY.UPDATE permission.

Was this page helpful?
Previous

Get a product category

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
namestringRequiredformat: "^.*$"0-256 characters
referencestringRequiredformat: "^\S+$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
tax_categoryenum or nullOptional
The default tax category applied to the products in the product category.
Allowed values:
display_orderinteger or nullOptional
customer_idstring or nullOptional
Resource ID of type CUSTOMER

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
namestringformat: "^.*$"0-256 characters
referencestringformat: "^\S+$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
tax_categoryenum or null
The default tax category applied to the products in the product category.
Allowed values:
display_orderinteger or null
customer_idstring or null
Resource ID of type CUSTOMER

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error